import { Routes, Route, Navigate } from 'react-router-dom';
import Login from './pages/LoginPage/Index';
// import SeatBooking from './components/TopLevel/SeatBooking/Index';
import { getItem } from '../src/lib/localStorage';

const Navigates = () => {
  const isAuthenticated = getItem('user');
  const RequireAuth = ({ children }) => {
    return isAuthenticated ? children : <Navigate to="/login" replace />;
  };

  return (
    <Routes>
      <Route path="/login" element={<Login />} />
      <Route
        path="/"
        element={
          <RequireAuth>
            {/* <SeatBooking /> */}
            <div>SEAT BOOKING</div>
          </RequireAuth>
        }
      />
    </Routes>
  );
};

export default Navigates;
